Enumerations

# newgrf_debug_widget.h File Reference

Types related to the newgrf debug widgets. More...

Go to the source code of this file.

## Enumerations
enum | NewGRFInspectWidgets { WID_NGRFI_CAPTION, WID_NGRFI_PARENT, WID_NGRFI_MAINPANEL, WID_NGRFI_SCROLLBAR }
| Widgets of the NewGRFInspectWindow class. More...
enum | SpriteAlignerWidgets { WID_SA_CAPTION, WID_SA_PREVIOUS, WID_SA_GOTO, WID_SA_NEXT, WID_SA_UP, WID_SA_LEFT, WID_SA_RIGHT, WID_SA_DOWN, WID_SA_SPRITE, WID_SA_OFFSETS, WID_SA_PICKER, WID_SA_LIST, WID_SA_SCROLLBAR }
| Widgets of the SpriteAlignerWindow class. More...

## Detailed Description

Types related to the newgrf debug widgets.

Definition in file newgrf_debug_widget.h.

## Enumeration Type Documentation

enum NewGRFInspectWidgets

Widgets of the NewGRFInspectWindow class.

Enumerator:

  WID_NGRFI_CAPTION | The caption bar of course.
  WID_NGRFI_PARENT | Inspect the parent.
  WID_NGRFI_MAINPANEL | Panel widget containing the actual data.
  WID_NGRFI_SCROLLBAR | Scrollbar.

Definition at line 16 of file newgrf_debug_widget.h.

enum SpriteAlignerWidgets

Widgets of the SpriteAlignerWindow class.

Enumerator:

  WID_SA_CAPTION | Caption of the window.
  WID_SA_PREVIOUS | Skip to the previous sprite.
  WID_SA_GOTO | Go to a given sprite.
  WID_SA_NEXT | Skip to the next sprite.
  WID_SA_UP | Move the sprite up.
  WID_SA_LEFT | Move the sprite to the left.
  WID_SA_RIGHT | Move the sprite to the right.
  WID_SA_DOWN | Move the sprite down.
  WID_SA_SPRITE | The actual sprite.
  WID_SA_OFFSETS | The sprite offsets.
  WID_SA_PICKER | Sprite picker.
  WID_SA_LIST | Queried sprite list.
  WID_SA_SCROLLBAR | Scrollbar for sprite list.

Definition at line 24 of file newgrf_debug_widget.h.